<?php
/**
 * Class OperatorCode
 *
 * @package DigitalVirgo\MTSP\Model\Enum
 * @author Adam Jurek <adam.jurek@digitalvirgo.pl>
 */
namespace DigitalVirgo\MTSP\Model\Enum;

/**
 * Class OperatorCode - Contains operator prefixes
 */
class OperatorCode extends EnumAbstract
{
    const AFGHANISTAN_AWCC = 41201;
    const AFGHANISTAN_AREEBA = 41240;
    const AFGHANISTAN_ETISALAT = 41250;
    const AFGHANISTAN_ROSHAN = 41220;
    const ALBANIA_AMC = 27601;
    const ALBANIA_EAGLE_MOBILE = 27603;
    const ALBANIA_PLUS_COMMUNICATION = 27604;
    const ALBANIA_VODAFONE = 27602;
    const ALGERIA_DJEZZY = 60302;
    const ALGERIA_MOBILIS = 60301;
    const ALGERIA_NEDJMA = 60303;
    const AMERICAN_SAMOA_BLUESKY = 54411;
    const ANDORRA_MOBILAND = 21303;
    const ANGOLA_MOVICEL = 63104;
    const ANGOLA_UNITEL = 63102;
    const ANGUILLA_UNITED_KINGDOM_CABLE_AND_WIRELESS = 365840;
    const ANGUILLA_UNITED_KINGDOM_WEBLINKS_LIMITED = 365010;
    const ANTIGUA_AND_BARBUDA_APUA = 344030;
    const ANTIGUA_AND_BARBUDA_BMOBILE = 344920;
    const ANTIGUA_AND_BARBUDA_DIGICEL = 344930;
    const ARGENTINA_CLARO_722310 = 722310;
    const ARGENTINA_CLARO_722320 = 722320;
    const ARGENTINA_CLARO_722330 = 722330;
    const ARGENTINA_HUTCHINSON_PORT_HABLE = 722350;
    const ARGENTINA_MOVISTAR_722010 = 722010;
    const ARGENTINA_MOVISTAR_722070 = 722070;
    const ARGENTINA_NEXTEL = 722020;
    const ARGENTINA_PERSONAL = 72234;
    const ARGENTINA_TELECOM_PERSONAL_SA_722341 = 722341;
    const ARGENTINA_TELECOM_PERSONAL_SA_72236 = 72236;
    const ARMENIA_BEELINE = 28301;
    const ARMENIA_ORANGE = 28310;
    const ARMENIA_VIVACELL_MTS = 28305;
    const ARUBA_NETHERLANDS_DIGICEL = 36302;
    const ARUBA_NETHERLANDS_DIGICELL = 36320;
    const ARUBA_NETHERLANDS_SETAR = 36301;
    const AUSTRALIA_3_50506 = 50506;
    const AUSTRALIA_3_50512 = 50512;
    const AUSTRALIA_3GIS = 50515;
    const AUSTRALIA_AAPT = 50514;
    const AUSTRALIA_ADVANCED_COMMUNICATIONS_TECHNOLOGIES = 50524;
    const AUSTRALIA_AIRNET = 50509;
    const AUSTRALIA_CRAZY_JOHNS = 50538;
    const AUSTRALIA_DEPARTMENT_OF_DEFENCE = 50504;
    const AUSTRALIA_LOCALSTAR = 50588;
    const AUSTRALIA_NORFOLK_TELECOM = 50510;
    const AUSTRALIA_ONE_TEL_50508 = 50508;
    const AUSTRALIA_ONE_TEL_50599 = 50599;
    const AUSTRALIA_OPTUS_VIRGIN_MOBILE = 50502;
    const AUSTRALIA_OZITEL = 50505;
    const AUSTRALIA_RAILCORP = 50513;
    const AUSTRALIA_SOUL = 50521;
    const AUSTRALIA_TELSTRA_50501 = 50501;
    const AUSTRALIA_TELSTRA_50511 = 50511;
    const AUSTRALIA_TELSTRA_50571 = 50571;
    const AUSTRALIA_TELSTRA_50572 = 50572;
    const AUSTRALIA_VICTORIAN_RAIL_TRACK = 50516;
    const AUSTRALIA_VODAFONE_50503 = 50503;
    const AUSTRALIA_VODAFONE_50507 = 50507;
    const AUSTRALIA_YES_OPTUS = 50590;
    const AUSTRIA_3_23210 = 23210;
    const AUSTRIA_3_23214 = 23214;
    const AUSTRIA_A1_23201 = 23201;
    const AUSTRIA_A1_23209 = 23209;
    const AUSTRIA_BARABLU = 23215;
    const AUSTRIA_BOB = 23211;
    const AUSTRIA_GSM_R_A = 23291;
    const AUSTRIA_ORANGE = 23205;
    const AUSTRIA_T_MOBILE_23203 = 23203;
    const AUSTRIA_T_MOBILE_23207 = 23207;
    const AUSTRIA_YESSS = 23212;
    const AZERBAIJAN_AZERCELL = 40001;
    const AZERBAIJAN_BAKCELL = 40002;
    const AZERBAIJAN_FONEX = 40003;
    const AZERBAIJAN_NAR_MOBILE = 40004;
    const BAHAMAS_BATELCO = 364390;
    const BAHRAIN_BATELCO = 42601;
    const BAHRAIN_MTC_VFBH = 42602;
    const BAHRAIN_VIVA = 42604;
    const BANGLADESH_AKTEL = 47002;
    const BANGLADESH_BANGLALINK = 47003;
    const BANGLADESH_CITYCELL_47005 = 47005;
    const BANGLADESH_CITYCELL_47006 = 47006;
    const BANGLADESH_GRAMEENPHONE = 47001;
    const BANGLADESH_TELETALK = 47004;
    const BANGLADESH_WARID = 47007;
    const BARBADOS_BMOBILE = 342600;
    const BARBADOS_DIGICEL = 342750;
    const BARBADOS_SUNBEACH_COMMUNICATIONS = 342820;
    const BELARUS_BELCEL_JV = 257501;
    const BELARUS_DIALLOG = 25703;
    const BELARUS_LIFE = 25704;
    const BELARUS_MTS = 25702;
    const BELARUS_VELCOM = 25701;
    const BELGIUM_BASE = 20620;
    const BELGIUM_MOBISTAR = 20610;
    const BELGIUM_PROXIMUS = 20601;
    const BELGIUM_TELENET = 20605;
    const BELIZE_BELIZE_TELEMEDIA = 70267;
    const BELIZE_INTERNATIONAL_TELECOMMUNICATIONS_LTD = 70268;
    const BELIZE_SMART = 70299;
    const BENIN_AREEBA = 61603;
    const BENIN_BBCOM_61600 = 61600;
    const BENIN_BBCOM_61604 = 61604;
    const BENIN_GLO = 61605;
    const BENIN_LIBERCOM = 61601;
    const BENIN_TELECEL = 61602;
    const BERMUDAS_DIGICEL = 31038;
    const BERMUDAS_DIGICEL_BERMUDA = 35001;
    const BERMUDAS_MOBILITY = 35002;
    const BHUTAN_B_MOBILE = 40211;
    const BHUTAN_TASHICELL = 40277;
    const BOLIVIA_ENTEL = 73602;
    const BOLIVIA_NUEVATEL = 73601;
    const BOLIVIA_TIGO = 73603;
    const BOSNIA_AND_HERZEGOVINA_BH_MOBILE = 21890;
    const BOSNIA_AND_HERZEGOVINA_ERONET = 21803;
    const BOSNIA_AND_HERZEGOVINA_M_TEL = 21805;
    const BOTSWANA_BTC_MOBILE = 65204;
    const BOTSWANA_MASCOM = 65201;
    const BOTSWANA_ORANGE = 65202;
    const BRAZIL_AIOU = 72437;
    const BRAZIL_AMAZONIA_CELULAR = 72424;
    const BRAZIL_BRASIL_TELECOM = 72416;
    const BRAZIL_CLARO = 72405;
    const BRAZIL_CTBC_CELLULAR_72432 = 72432;
    const BRAZIL_CTBC_CELLULAR_72433 = 72433;
    const BRAZIL_CTBC_CELLULAR_72434 = 72434;
    const BRAZIL_CTBC_CELULAR = 72407;
    const BRAZIL_NEXTEL_72400 = 72400;
    const BRAZIL_NEXTEL_72439 = 72439;
    const BRAZIL_SERCOMTEL = 72415;
    const BRAZIL_TIM_72402 = 72402;
    const BRAZIL_TIM_72403 = 72403;
    const BRAZIL_TIM_72404 = 72404;
    const BRAZIL_TIM_72408 = 72408;
    const BRAZIL_TNL_PCS = 72431;
    const BRAZIL_VIVO_72406 = 72406;
    const BRAZIL_VIVO_72410 = 72410;
    const BRAZIL_VIVO_72411 = 72411;
    const BRAZIL_VIVO_72413 = 72413;
    const BRAZIL_VIVO_72423 = 72423;
    const BRITISH_VIRGIN_ISLANDS_UNITED_KINGDOM_CABLE_AND_WIRELESS = 348170;
    const BRITISH_VIRGIN_ISLANDS_UNITED_KINGDOM_CARIBBEAN_CELLULAR_TELEPHONE = 348570;
    const BRITISH_VIRGIN_ISLANDS_UNITED_KINGDOM_DIGICEL = 348770;
    const BRUNEI_B_MOBILE = 52802;
    const BRUNEI_DTSCOM = 52811;
    const BRUNEI_JABATAN_TELEKOM = 52801;
    const BULGARIA_GLOBUL = 28405;
    const BULGARIA_M_TEL = 28401;
    const BULGARIA_UNDISCLOSED = 28404;
    const BULGARIA_VIVATEL = 28403;
    const BURKINA_FASO_ONATEL = 61301;
    const BURKINA_FASO_TELECEL_FASO = 61303;
    const BURKINA_FASO_ZAIN = 61302;
    const BURUNDI_AFRICELL = 64202;
    const BURUNDI_HITS_TELECOM = 64208;
    const BURUNDI_SMART_MOBILE = 64207;
    const BURUNDI_SPACETEL = 64201;
    const BURUNDI_TELECEL = 64203;
    const BURUNDI_U_COM_BURUNDI = 64282;
    const CAMBODIA_BEELINE = 45609;
    const CAMBODIA_CAMSHIN_SHINAWATRA = 45618;
    const CAMBODIA_EXCELL = 45611;
    const CAMBODIA_HELLO = 45602;
    const CAMBODIA_METFONE = 45608;
    const CAMBODIA_MOBITEL = 45601;
    const CAMBODIA_QB = 45604;
    const CAMBODIA_S_TELECOM = 45603;
    const CAMBODIA_SMART_MOBILE = 45606;
    const CAMBODIA_STAR_CELL = 45605;
    const CAMEROON_MTN_CAMEROON = 62401;
    const CAMEROON_ORANGE = 62402;
    const CANADA_AIRTEL_WIRELESS = 302290;
    const CANADA_BC_TEL_MOBILITY = 302652;
    const CANADA_BELL_302610 = 302610;
    const CANADA_BELL_302640 = 302640;
    const CANADA_BELL_TELUS_SASKTEL = 302880;
    const CANADA_BELL_MOBILITY = 302651;
    const CANADA_DMTS = 302380;
    const CANADA_FIDO = 302370;
    const CANADA_FIRST = 302350;
    const CANADA_GLOBALSTAR = 302710;
    const CANADA_ICE_WIRELESS = 302620;
    const CANADA_MB_TEL_MOBILITY = 302701;
    const CANADA_MOBILICITY = 302320;
    const CANADA_MTANDT_MOBILITY = 302702;
    const CANADA_MTS = 302660;
    const CANADA_MTS_MOBILITY = 302655;
    const CANADA_NEW_TEL_MOBILITY = 302703;
    const CANADA_ROGERS_WIRELESS = 302720;
    const CANADA_SASK_TEL_MOBILITY = 302654;
    const CANADA_SASKTEL_302680 = 302680;
    const CANADA_SASKTEL_302780 = 302780;
    const CANADA_TBAY_MOBILITY = 302656;
    const CANADA_TELUS_302220 = 302220;
    const CANADA_TELUS_302221 = 302221;
    const CANADA_TELUS_QUEBEC_MOBILITY = 302657;
    const CANADA_TELUS_MOBILITY_302360 = 302360;
    const CANADA_TELUS_MOBILITY_302361 = 302361;
    const CANADA_TELUS_MOBILITY_302653 = 302653;
    const CANADA_VIDEOTRON_302500 = 302500;
    const CANADA_VIDEOTRON_302510 = 302510;
    const CANADA_WIND_MOBILE = 302490;
    const CAPE_VERDE_CVMOVEL = 62501;
    const CAPE_VERDE_T = 62502;
    const CAYMAN_ISLANDS_UNITED_KINGDOM_CABLE_AND_WIRELESS = 346140;
    const CAYMAN_ISLANDS_UNITED_KINGDOM_DIGICEL = 346050;
    const CENTRAL_AFRICAN_REPUBLIC_CTP = 62301;
    const CENTRAL_AFRICAN_REPUBLIC_NATIONLINK = 62304;
    const CENTRAL_AFRICAN_REPUBLIC_ORANGE = 62303;
    const CENTRAL_AFRICAN_REPUBLIC_TC = 62302;
    const CHILE_CLARO = 73003;
    const CHILE_ENTEL_73001 = 73001;
    const CHILE_ENTEL_73010 = 73010;
    const CHILE_MOVISTAR = 73002;
    const CHILE_NEXTEL = 73004;
    const CHILE_VTR_MOVIL = 73008;
    const CHILE_WILL = 73099;
    const CHINA_UNKNOWN = 46006;
    const CHINA_CHINA_MOBILE_46000 = 46000;
    const CHINA_CHINA_MOBILE_46002 = 46002;
    const CHINA_CHINA_MOBILE_46007 = 46007;
    const CHINA_CHINA_TELECOM_46003 = 46003;
    const CHINA_CHINA_TELECOM_46005 = 46005;
    const CHINA_CHINA_TIETONG = 46020;
    const CHINA_CHINA_UNICOM = 46001;
    const COLOMBIA_COLOMBIA_TELECOMUNICACIONES_SA_TELECOM = 732001;
    const COLOMBIA_COMCEL = 732101;
    const COLOMBIA_EDATEL = 732002;
    const COLOMBIA_MOVISTAR_732102 = 732102;
    const COLOMBIA_MOVISTAR_732123 = 732123;
    const COLOMBIA_TIGO_732103 = 732103;
    const COLOMBIA_TIGO_732111 = 732111;
    const COMOROS_HURI_SNPT = 65401;
    const COOK_ISLANDS_TELECOM_COOK = 54801;
    const COSTA_RICA_ICE_71201 = 71201;
    const COSTA_RICA_ICE_71202 = 71202;
    const COSTA_RICA_ICE_71203 = 71203;
    const COSTA_RICA_MOVISTAR = 71204;
    const COTE_DIVOIRE_CORA_DE_COMSTAR = 61201;
    const COTE_DIVOIRE_KOZ = 61204;
    const COTE_DIVOIRE_MOOV = 61202;
    const COTE_DIVOIRE_MTN = 61205;
    const COTE_DIVOIRE_ORANGE = 61203;
    const COTE_DIVOIRE_ORICEL = 61206;
    const CROATIA_T_MOBILE = 21901;
    const CROATIA_TELE2 = 21902;
    const CROATIA_VIPNET = 21910;
    const CUBA_ETECSA = 36801;
    const CYPRUS_CYTAMOBILE_VODAFONE = 28001;
    const CYPRUS_MTN = 28010;
    const CZAD_SALAM = 62204;
    const CZAD_TAWALI = 62202;
    const CZAD_TIGO_MILLICOM = 62203;
    const CZAD_ZAIN = 62201;
    const CZECH_REPUBLIC_EUROTEL_PRAHA = 23002;
    const CZECH_REPUBLIC_OSKAR = 23003;
    const CZECH_REPUBLIC_OSNO_TELECOMUNICATION_SRO = 23006;
    const CZECH_REPUBLIC_SZDC_SO = 23098;
    const CZECH_REPUBLIC_T_MOBILE = 23001;
    const CZECH_REPUBLIC_TRAVEL_TELEKOMMUNIKATION_SRO = 23005;
    const CZECH_REPUBLIC_U_FON = 23004;
    const CZECH_REPUBLIC_VODAFONE_CZECH_REPUBLIC_AS_RANDD_CENTRE_AT_FEE_CTU = 23099;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_CCT = 63086;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_CELLCO = 63004;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_LIBERTIS_TELECOM = 63010;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_SAIT_TELECOM = 63089;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_SUPERCELL = 63005;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_VODACOM = 63001;
    const DEMOCRATIC_REPUBLIC_OF_CONGO_ZAIN = 63002;
    const DENMARK_3 = 23806;
    const DENMARK_APS_KBUS = 23805;
    const DENMARK_BARABLU_MOBILE_LTD = 23807;
    const DENMARK_DANSK_BEREDSKABSKOMMUNIKATION_A_S_23809 = 23809;
    const DENMARK_DANSK_BEREDSKABSKOMMUNIKATION_A_S_23811 = 23811;
    const DENMARK_ERICSSON_DANMARK_A_S = 23840;
    const DENMARK_LYCAMOBILE_DENMARK_LTD = 23812;
    const DENMARK_MIGWAY_A_S = 23803;
    const DENMARK_SONOFON = 23877;
    const DENMARK_TDC_23801 = 23801;
    const DENMARK_TDC_23810 = 23810;
    const DENMARK_TELENOR = 23802;
    const DENMARK_TELIA_23820 = 23820;
    const DENMARK_TELIA_23830 = 23830;
    const DJIBOUTI_EVATIS = 63801;
    const DOMINICA_CABLE_AND_WIRELESS = 366110;
    const DOMINICA_DIGICEL = 366020;
    const DOMINICAN_REPUBLIC_CLARO = 37002;
    const DOMINICAN_REPUBLIC_ORANGE = 37001;
    const DOMINICAN_REPUBLIC_TRICOM_SA = 37003;
    const DOMINICAN_REPUBLIC_VIVA = 37004;
    const EAST_TIMOR_TIMOR_TELECOM = 51402;
    const ECUADOR_ALEGRO = 74002;
    const ECUADOR_MOVISTAR = 74000;
    const ECUADOR_PORTA = 74001;
    const EGYPT_ETISALAT = 60203;
    const EGYPT_MOBINIL = 60201;
    const EGYPT_VODAFONE = 60202;
    const EL_SALVADOR_CLARO_70610 = 70610;
    const EL_SALVADOR_CLARO_70611 = 70611;
    const EL_SALVADOR_CTE_TELECOM_PERSONAL = 70601;
    const EL_SALVADOR_DIGICEL = 70602;
    const EL_SALVADOR_MOVISTAR = 70604;
    const EL_SALVADOR_TELEMOVIL_EL_SALVADOR = 70603;
    const EQUATORIAL_GUINEA_HITS_GQ = 62703;
    const EQUATORIAL_GUINEA_ORANGE_GQ = 62701;
    const ERITREA_ERITEL = 65701;
    const ESTONIA_AS_BRAVOCOM_MOBIIL = 24805;
    const ESTONIA_ELISA = 24802;
    const ESTONIA_EMT = 24801;
    const ESTONIA_OY_TOP_CONNECT = 24804;
    const ESTONIA_OY_VIATEL = 24806;
    const ESTONIA_TELE_2 = 24803;
    const ETHIOPIA_ETMTN = 63601;
    const FAROE_ISLANDS_DENMARK_FAROESE_TELECOM = 28801;
    const FAROE_ISLANDS_DENMARK_VODAFONE = 28802;
    const FIJI_DIGICEL = 54202;
    const FIJI_VODAFONE = 54201;
    const FINLAND_AMT = 24414;
    const FINLAND_DNA_24403 = 24403;
    const FINLAND_DNA_24412 = 24412;
    const FINLAND_ELISA = 24405;
    const FINLAND_NOKIA = 24407;
    const FINLAND_SAMK = 24415;
    const FINLAND_SAUNALAHTI = 24421;
    const FINLAND_SCNL_TRUPHONE = 24429;
    const FINLAND_SONERA = 24491;
    const FINLAND_TDC_OY = 24410;
    const FINLAND_UNKNOWN = 24408;
    const FINLAND_VIRVE = 24411;
    const FRANCE_BOUYGUES_20820 = 20820;
    const FRANCE_BOUYGUES_20821 = 20821;
    const FRANCE_BOUYGUES_20888 = 20888;
    const FRANCE_FRANCE_TELECOM_MOBILE = 20801;
    const FRANCE_FREE_MOBILE_20814 = 20814;
    const FRANCE_FREE_MOBILE_20815 = 20815;
    const FRANCE_GLOBALSTAR_EUROPE_20805 = 20805;
    const FRANCE_GLOBALSTAR_EUROPE_20806 = 20806;
    const FRANCE_GLOBALSTAR_EUROPE_20807 = 20807;
    const FRANCE_ORANGE_20800 = 20800;
    const FRANCE_ORANGE_20802 = 20802;
    const FRANCE_SFR_20810 = 20810;
    const FRANCE_SFR_20811 = 20811;
    const FRANCE_SFR_20813 = 20813;
    const FRANCE_TRANSATEL_MOBILE = 20822;
    const FRENCH_POLYNESIA_FRANCE_VINI = 54720;
    const GABON_AZUR = 62804;
    const GABON_LIBERTIS = 62801;
    const GABON_MOOV_TELECEL_GABON_SA = 62802;
    const GABON_ZAIN = 62803;
    const GAMBIA_AFRICEL = 60702;
    const GAMBIA_COMIUM = 60703;
    const GAMBIA_GAMCEL = 60701;
    const GAMBIA_QCELL = 60704;
    const GEORGIA_A_MOBILE = 28988;
    const GEORGIA_AQUAFON = 28967;
    const GEORGIA_BEELINE = 28204;
    const GEORGIA_GEOCELL = 28201;
    const GEORGIA_IBERIATEL = 28203;
    const GEORGIA_MAGTI = 28202;
    const GEORGIA_SILKNET = 28205;
    const GERMANY_27C3 = 26242;
    const GERMANY_AIRDATA = 26215;
    const GERMANY_ARCOR_AG_AND_CO = 26210;
    const GERMANY_DB_TELEMATIK = 26260;
    const GERMANY_DEBITEL = 262901;
    const GERMANY_DOLPHIN_TELECOM = 26212;
    const GERMANY_E_PLUS_26203 = 26203;
    const GERMANY_E_PLUS_26205 = 26205;
    const GERMANY_E_PLUS_26277 = 26277;
    const GERMANY_GROUP_3G_UMTS = 26214;
    const GERMANY_LYCA = 26243;
    const GERMANY_MOBILCOM_MULTIMEDIA = 26213;
    const GERMANY_NASH_TECHNOLOGIES = 26292;
    const GERMANY_O2_26207 = 26207;
    const GERMANY_O2_26208 = 26208;
    const GERMANY_O2_26211 = 26211;
    const GERMANY_SIEMENS_AG = 26276;
    const GERMANY_T_MOBILE_26201 = 26201;
    const GERMANY_T_MOBILE_26206 = 26206;
    const GERMANY_VISTREAM = 26216;
    const GERMANY_VODAFONE_26202 = 26202;
    const GERMANY_VODAFONE_26204 = 26204;
    const GERMANY_VODAFONE_26209 = 26209;
    const GHANA_AIRTEL = 62006;
    const GHANA_GHANA_TELECOM_MOBILE = 62002;
    const GHANA_KASAPA_HUTCHISON_TELECOM = 62004;
    const GHANA_MTN = 62001;
    const GHANA_TIGO = 62003;
    const GIBRALTAR_UNITED_KINGDOM_CTS_MOBILE = 26606;
    const GIBRALTAR_UNITED_KINGDOM_GIBTEL = 26601;
    const GREECE_COSMOTE = 20201;
    const GREECE_VODAFONE = 20205;
    const GREECE_WIND_20209 = 20209;
    const GREECE_WIND_20210 = 20210;
    const GREENLAND_DENMARK_TELE_GREENLAND_A_S = 29001;
    const GRENADA_CABLE_AND_WIRELESS = 352110;
    const GRENADA_DIGICEL_352030 = 352030;
    const GUADELOUPE_FRANCE_DIGICEL_34020 = 34020;
    const GUADELOUPE_FRANCE_MIO_GSM = 34008;
    const GUADELOUPE_FRANCE_ORANGE = 34001;
    const GUADELOUPE_FRANCE_OUTREMER = 34002;
    const GUADELOUPE_FRANCE_TELCELL = 34003;
    const GUAM_UNITED_STATES_GUAM_TELEPHONE_AUTHORITY = 310033;
    const GUAM_UNITED_STATES_GUAMCELL_310370 = 310370;
    const GUAM_UNITED_STATES_GUAMCELL_310470 = 310470;
    const GUAM_UNITED_STATES_I_CAN_GSM = 311250;
    const GUAM_UNITED_STATES_ITANDE_WIRELESS = 310032;
    const GUAM_UNITED_STATES_MPULSE = 310140;
    const GUATEMALA_CLARO = 70401;
    const GUATEMALA_COMCEL_TIGO = 70402;
    const GUATEMALA_MOVISTAR = 70403;
    const GUIANA_DIGICEL = 73801;
    const GUIANA_GTANDT_CELLINK_PLUS = 73802;
    const GUINEA_CELLCOM = 61105;
    const GUINEA_LAGUI = 61102;
    const GUINEA_MTN = 61104;
    const GUINEA_SPACETEL = 61101;
    const GUINEA_TELECEL_GUINEE = 61103;
    const GUINEA_BISSAU_AREEBA = 63202;
    const GUINEA_BISSAU_ORANGE = 63203;
    const HAITI_COMCEL_VOILA = 372010;
    const HAITI_DIGICEL = 37202;
    const HAITI_NATCOM = 37203;
    const HOLLAND_NETHERLANDS_6GMOBILE = 20414;
    const HOLLAND_NETHERLANDS_ASPIDER_SOLUTIONS_NEDERLAND_BV = 20423;
    const HOLLAND_NETHERLANDS_BREEZZ_NEDERLAND_BV = 20427;
    const HOLLAND_NETHERLANDS_CAPX_BV = 20425;
    const HOLLAND_NETHERLANDS_ELEENA_MVNE = 20407;
    const HOLLAND_NETHERLANDS_ELEPHANT_TALK_COMMUNICATIONS_PREMIUM_RATE_SERVICES = 20405;
    const HOLLAND_NETHERLANDS_INTERCITY_MOBILE_COMMUNICATIONS_BV = 20417;
    const HOLLAND_NETHERLANDS_KPN_20408 = 20408;
    const HOLLAND_NETHERLANDS_KPN_20410 = 20410;
    const HOLLAND_NETHERLANDS_KPN_MOBILE_THE_NETHERLANDS_BV = 20469;
    const HOLLAND_NETHERLANDS_LYCAMOBILE = 20409;
    const HOLLAND_NETHERLANDS_MINISTERIE_VAN_DEFENSIE = 20422;
    const HOLLAND_NETHERLANDS_MIXE_COMMUNICATION_SOLUTIONS_BV = 20419;
    const HOLLAND_NETHERLANDS_MUNDIO_MOBILE_NETHERLANDS_LTD = 20406;
    const HOLLAND_NETHERLANDS_NS_RAILINFRABEHEER_BV = 20421;
    const HOLLAND_NETHERLANDS_ORANGE_NEDERLAND = 20420;
    const HOLLAND_NETHERLANDS_PRIVATE_MOBILITY_NEDERLAND_BV = 20424;
    const HOLLAND_NETHERLANDS_RADIOACCESS_BV = 20467;
    const HOLLAND_NETHERLANDS_SPEAKUP_BV = 20426;
    const HOLLAND_NETHERLANDS_T_MOBILE_BEN = 20416;
    const HOLLAND_NETHERLANDS_TELE2_NETHERLANDS = 20402;
    const HOLLAND_NETHERLANDS_TELFORT_O2 = 20412;
    const HOLLAND_NETHERLANDS_UNICA_INSTALLATIETECHNIEK_BV = 20413;
    const HOLLAND_NETHERLANDS_UNIFY_GROUP_HOLDING_BV = 20468;
    const HOLLAND_NETHERLANDS_UPC_NEDERLAND_BV = 20418;
    const HOLLAND_NETHERLANDS_VASTMOBIEL_BV = 20401;
    const HOLLAND_NETHERLANDS_VODAFONE = 20404;
    const HOLLAND_NETHERLANDS_VOICEWORKS_BV = 20403;
    const HONDURAS_CELTEL_TIGO = 70802;
    const HONDURAS_CLARO = 70801;
    const HONDURAS_DIGICEL = 70840;
    const HONDURAS_HONDUTEL = 70830;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_3_3G = 45403;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_3_CDMA = 45405;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_3_DUAL_2G = 45404;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_C_PEOPLES = 45412;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CHINA_MOTION_TELECOM = 45409;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CHINA_UNICOM = 45407;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CHINA_HONGKONG_TELECOM = 45411;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CITIC_TELECOM_1616 = 45401;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CSL = 45400;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_CSL_3G = 45402;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_HONG_KONG_CSL_LIMITED = 45418;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_HUTCHISON_TELECOM = 45414;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_NEW_WORLD = 45410;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_PCCW_45416 = 45416;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_PCCW_45419 = 45419;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_PCCW_45429 = 45429;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_SMARTONE_MOBILE_COMMS_45415 = 45415;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_SMARTONE_MOBILE_COMMS_45417 = 45417;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_SMARTONE_VODAFONE = 45406;
    const HONG_KONG_PEOPLES_REPUBLIC_OF_CHINA_TRIDENT = 45408;
    const HUNGARY_PANNON = 21601;
    const HUNGARY_T_MOBILE = 21630;
    const HUNGARY_VODAFONE = 21670;
    const ICELAND_ICECELL = 27407;
    const ICELAND_NOVA = 27411;
    const ICELAND_NULL_NIU_EHF = 27406;
    const ICELAND_ON_WAVES = 27408;
    const ICELAND_SIMINN = 27401;
    const ICELAND_TAL = 27412;
    const ICELAND_VIKING = 27404;
    const ICELAND_VODAFONE_27402 = 27402;
    const ICELAND_VODAFONE_27403 = 27403;
    const INDIA_AIRCEL_40417 = 40417;
    const INDIA_AIRCEL_40425 = 40425;
    const INDIA_AIRCEL_40428 = 40428;
    const INDIA_AIRCEL_40429 = 40429;
    const INDIA_AIRCEL_40437 = 40437;
    const INDIA_AIRCEL_40491 = 40491;
    const INDIA_AIRCEL_405082 = 405082;
    const INDIA_AIRCEL_405800 = 405800;
    const INDIA_AIRCEL_405801 = 405801;
    const INDIA_AIRCEL_405802 = 405802;
    const INDIA_AIRCEL_405803 = 405803;
    const INDIA_AIRCEL_405804 = 405804;
    const INDIA_AIRCEL_405805 = 405805;
    const INDIA_AIRCEL_405806 = 405806;
    const INDIA_AIRCEL_405807 = 405807;
    const INDIA_AIRCEL_405808 = 405808;
    const INDIA_AIRCEL_405809 = 405809;
    const INDIA_AIRCEL_405810 = 405810;
    const INDIA_AIRCEL_405811 = 405811;
    const INDIA_AIRCEL_405812 = 405812;
    const INDIA_AIRCEL_405813 = 405813;
    const INDIA_AIRCELL_DIGILINK = 40460;
    const INDIA_AIRCELL_DIGILINK_ESSAR_CELLPH = 40415;
    const INDIA_AIRTEL_40406 = 40406;
    const INDIA_AIRTEL_40410 = 40410;
    const INDIA_AIRTEL_40431 = 40431;
    const INDIA_AIRTEL_40440 = 40440;
    const INDIA_AIRTEL_40445 = 40445;
    const INDIA_AIRTEL_40449 = 40449;
    const INDIA_AIRTEL_40470 = 40470;
    const INDIA_AIRTEL_40494 = 40494;
    const INDIA_AIRTEL_40495 = 40495;
    const INDIA_AIRTEL_40497 = 40497;
    const INDIA_AIRTEL_40498 = 40498;
    const INDIA_AIRTEL_40551 = 40551;
    const INDIA_AIRTEL_40552 = 40552;
    const INDIA_AIRTEL_40553 = 40553;
    const INDIA_AIRTEL_40554 = 40554;
    const INDIA_AIRTEL_40555 = 40555;
    const INDIA_AIRTEL_40556 = 40556;
    const INDIA_AIRTEL_40570 = 40570;
    const INDIA_AIRTEL_HARYANA = 40496;
    const INDIA_AIRTEL_PUNJAB = 40402;
    const INDIA_AIRTEL_BHARTI_TELENET = 40403;
    const INDIA_AIRTEL_GUJRAT = 40493;
    const INDIA_AIRTEL_MAHARASHTRA_AND_GOA = 40490;
    const INDIA_AIRTEL_MUMBAI = 40492;
    const INDIA_BPL_MOBILE_CELLULAR = 40443;
    const INDIA_BPL_MOBILE_MUMBAI = 40421;
    const INDIA_BPL_USWEST_CELLULAR_CELLULAR_COMMS = 40427;
    const INDIA_BSNL_40434 = 40434;
    const INDIA_BSNL_40438 = 40438;
    const INDIA_BSNL_40451 = 40451;
    const INDIA_BSNL_40453 = 40453;
    const INDIA_BSNL_40454 = 40454;
    const INDIA_BSNL_40455 = 40455;
    const INDIA_BSNL_40457 = 40457;
    const INDIA_BSNL_40458 = 40458;
    const INDIA_BSNL_40459 = 40459;
    const INDIA_BSNL_40464 = 40464;
    const INDIA_BSNL_40471 = 40471;
    const INDIA_BSNL_40473 = 40473;
    const INDIA_BSNL_40474 = 40474;
    const INDIA_BSNL_40475 = 40475;
    const INDIA_BSNL_40476 = 40476;
    const INDIA_BSNL_40477 = 40477;
    const INDIA_BSNL_40480 = 40480;
    const INDIA_BSNL_40481 = 40481;
    const INDIA_BSNL_JANDK = 40462;
    const INDIA_BSNL_KERALA = 40472;
    const INDIA_BSNL_MAHARASHTRA_AND_GOA = 40466;
    const INDIA_BTA_CELLCOM = 40478;
    const INDIA_DISHNET_WIRELESS = 40448;
    const INDIA_ESCORTS = 40482;
    const INDIA_ESCORTS_TELECOM_40487 = 40487;
    const INDIA_ESCORTS_TELECOM_40488 = 40488;
    const INDIA_ESCORTS_TELECOM_40489 = 40489;
    const INDIA_ESSAR_STERLING_CELLULAR = 40411;
    const INDIA_ETISALAT_DBCHEERS_405912 = 405912;
    const INDIA_ETISALAT_DBCHEERS_405913 = 405913;
    const INDIA_ETISALAT_DBCHEERS_405914 = 405914;
    const INDIA_ETISALAT_DBCHEERS_405917 = 405917;
    const INDIA_HUTCH = 40566;
    const INDIA_HUTCHINSON_ESSAR_SOUTH = 40486;
    const INDIA_HUTCHISON_ESSAR_SOUTH_40413 = 40413;
    const INDIA_HUTCHISON_ESSAR_SOUTH_40484 = 40484;
    const INDIA_IDEA_40419 = 40419;
    const INDIA_IDEA_405799 = 405799;
    const INDIA_IDEA_405845 = 405845;
    const INDIA_IDEA_405848 = 405848;
    const INDIA_IDEA_405850 = 405850;
    const INDIA_IDEA_40586 = 40586;
    const INDIA_IDEA_ESCOTEL_HARYANA = 40412;
    const INDIA_IDEA_ESCOTEL_UP_WEST = 40456;
    const INDIA_IDEA_CELLULAR_DELHI = 40404;
    const INDIA_IDEA_CELLULAR_GUJARAT = 40424;
    const INDIA_IDEA_CELLULAR_MAHARASHTRA = 40422;
    const INDIA_LOOP_MOBILE_405855 = 405855;
    const INDIA_LOOP_MOBILE_405864 = 405864;
    const INDIA_LOOP_MOBILE_405865 = 405865;
    const INDIA_MTNL_DELHI = 40468;
    const INDIA_MTNL_MUMBAI = 40469;
    const INDIA_RELIANCE_40450 = 40450;
    const INDIA_RELIANCE_40452 = 40452;
    const INDIA_RELIANCE_40467 = 40467;
    const INDIA_RELIANCE_40483 = 40483;
    const INDIA_RELIANCE_40485 = 40485;
    const INDIA_RELIANCE_40501 = 40501;
    const INDIA_RELIANCE_40503 = 40503;
    const INDIA_RELIANCE_40504 = 40504;
    const INDIA_RELIANCE_40509 = 40509;
    const INDIA_RELIANCE_40510 = 40510;
    const INDIA_RELIANCE_40513 = 40513;
    const INDIA_RELIANCE_TELECOM_PRIVATE_40409 = 40409;
    const INDIA_RELIANCE_TELECOM_PRIVATE_40436 = 40436;
    const INDIA_RPG_MAA = 40441;
    const INDIA_S_TEL = 405881;
    const INDIA_SPICE_TELECOM_KARNATAKA = 40444;
    const INDIA_SPICE_TELECOM_PUNJAB = 40414;
    const INDIA_SRINIVAS_CELLCOM_AIRCEL = 40442;
    const INDIA_TATA_CELLULAR_IDEA_CELLULAR = 40407;
    const INDIA_TATA_TELESERVICE_405025 = 405025;
    const INDIA_TATA_TELESERVICE_405026 = 405026;
    const INDIA_TATA_TELESERVICE_405027 = 405027;
    const INDIA_TATA_TELESERVICE_405029 = 405029;
    const INDIA_TATA_TELESERVICE_405030 = 405030;
    const INDIA_TATA_TELESERVICE_405031 = 405031;
    const INDIA_TATA_TELESERVICE_405032 = 405032;
    const INDIA_TATA_TELESERVICE_405033 = 405033;
    const INDIA_TATA_TELESERVICE_405034 = 405034;
    const INDIA_TATA_TELESERVICE_405035 = 405035;
    const INDIA_TATA_TELESERVICE_405036 = 405036;
    const INDIA_TATA_TELESERVICE_405037 = 405037;
    const INDIA_TATA_TELESERVICE_405038 = 405038;
    const INDIA_TATA_TELESERVICE_405039 = 405039;
    const INDIA_TATA_TELESERVICE_405040 = 405040;
    const INDIA_TATA_TELESERVICE_405041 = 405041;
    const INDIA_TATA_TELESERVICE_405042 = 405042;
    const INDIA_TATA_TELESERVICE_405043 = 405043;
    const INDIA_TATA_TELESERVICE_405044 = 405044;
    const INDIA_TATA_TELESERVICE_405045 = 405045;
    const INDIA_TATA_TELESERVICE_405046 = 405046;
    const INDIA_TATA_TELESERVICE_405047 = 405047;
    const INDIA_UNINOR_405818 = 405818;
    const INDIA_UNINOR_405819 = 405819;
    const INDIA_UNINOR_405820 = 405820;
    const INDIA_UNINOR_405821 = 405821;
    const INDIA_UNINOR_405822 = 405822;
    const INDIA_UNINOR_405844 = 405844;
    const INDIA_UNINOR_405875 = 405875;
    const INDIA_UNINOR_405880 = 405880;
    const INDIA_UNINOR_405927 = 405927;
    const INDIA_UNINOR_405929 = 405929;
    const INDIA_VIDEOCON_DATACOM_405824 = 405824;
    const INDIA_VIDEOCON_DATACOM_405827 = 405827;
    const INDIA_VIDEOCON_DATACOM_405834 = 405834;
    const INDIA_VODAFONE_40420 = 40420;
    const INDIA_VODAFONE_40446 = 40446;
    const INDIA_VODAFONE_GUJARAT = 40405;
    const INDIA_VODAFONE_HARYANA = 40401;
    const INDIA_VODAFONE_KOLKATA = 40430;
    const INDIA_VODAFONE_IN_405750 = 405750;
    const INDIA_VODAFONE_IN_405751 = 405751;
    const INDIA_VODAFONE_IN_405752 = 405752;
    const INDIA_VODAFONE_IN_405753 = 405753;
    const INDIA_VODAFONE_IN_405754 = 405754;
    const INDIA_VODAFONE_IN_405755 = 405755;
    const INDIA_VODAFONE_IN_405756 = 405756;
    const INDONESIA_3 = 51089;
    const INDONESIA_AXIS = 51008;
    const INDONESIA_CERIA_51027 = 51027;
    const INDONESIA_ESIA = 51099;
    const INDONESIA_FREN_HEPI = 51028;
    const INDONESIA_IM3 = 51021;
    const INDONESIA_INDOSAT = 51001;
    const INDONESIA_PSN = 51000;
    const INDONESIA_SMART = 51009;
    const INDONESIA_STARONE = 51003;
    const INDONESIA_TELKOMFLEXI = 51007;
    const INDONESIA_TELKOMMOBILE = 51020;
    const INDONESIA_TELKOMSEL = 51010;
    const INDONESIA_XL = 51011;
    const IRAN_IRANCELL = 43235;
    const IRAN_IRAPHONE = 43293;
    const IRAN_MCI = 43211;
    const IRAN_MTCE = 43219;
    const IRAN_TALIYA = 43232;
    const IRAN_TCI = 43270;
    const IRAN_TKC = 43214;
    const IRAQ_ASIA_CELL_41805 = 41805;
    const IRAQ_ASIA_CELL_41850 = 41850;
    const IRAQ_KOREK = 41840;
    const IRAQ_MOBITEL = 41845;
    const IRAQ_OMNNEA = 41892;
    const IRAQ_SANATEL = 41808;
    const IRAQ_ZAIN_IQ_41820 = 41820;
    const IRAQ_ZAIN_IQ_41830 = 41830;
    const IRELAND_3 = 27205;
    const IRELAND_ACCESS_TELECOM = 27204;
    const IRELAND_CLEVER_COMMUNICATIONS = 27209;
    const IRELAND_E_MOBILE = 27200;
    const IRELAND_EIRCOM = 27207;
    const IRELAND_LIFFEY_TELECOM = 27211;
    const IRELAND_METEOR = 27203;
    const IRELAND_O2 = 27202;
    const IRELAND_TESCO_MOBILE = 272020;
    const IRELAND_VODAFONE = 27201;
    const ISRAEL_CELLCOM = 42502;
    const ISRAEL_MIRS = 42577;
    const ISRAEL_ORANGE = 42501;
    const ISRAEL_PELEPHONE = 42503;
    const ITALY_3_ITALIA = 22299;
    const ITALY_BLU = 22298;
    const ITALY_ELSACOM = 22202;
    const ITALY_IPSE_2000 = 22277;
    const ITALY_NOVERCA = 22207;
    const ITALY_RFI = 22230;
    const ITALY_TIM = 22201;
    const ITALY_VODAFONE = 22210;
    const ITALY_WIND = 22288;
    const JAMAICA_CABLE_AND_WIRELESS_338020 = 338020;
    const JAMAICA_CABLE_AND_WIRELESS_338180 = 338180;
    const JAMAICA_CLARO = 338070;
    const JAMAICA_DIGICEL = 338050;
    const JAPAN_DOCOMO_44001 = 44001;
    const JAPAN_DOCOMO_44002 = 44002;
    const JAPAN_DOCOMO_44003 = 44003;
    const JAPAN_DOCOMO_44009 = 44009;
    const JAPAN_DOCOMO_44010 = 44010;
    const JAPAN_DOCOMO_44011 = 44011;
    const JAPAN_DOCOMO_44012 = 44012;
    const JAPAN_DOCOMO_44013 = 44013;
    const JAPAN_DOCOMO_44014 = 44014;
    const JAPAN_DOCOMO_44015 = 44015;
    const JAPAN_DOCOMO_44016 = 44016;
    const JAPAN_DOCOMO_44017 = 44017;
    const JAPAN_DOCOMO_44018 = 44018;
    const JAPAN_DOCOMO_44019 = 44019;
    const JAPAN_DOCOMO_44021 = 44021;
    const JAPAN_DOCOMO_44022 = 44022;
    const JAPAN_DOCOMO_44023 = 44023;
    const JAPAN_DOCOMO_44024 = 44024;
    const JAPAN_DOCOMO_44025 = 44025;
    const JAPAN_DOCOMO_44026 = 44026;
    const JAPAN_DOCOMO_44027 = 44027;
    const JAPAN_DOCOMO_44028 = 44028;
    const JAPAN_DOCOMO_44029 = 44029;
    const JAPAN_DOCOMO_44030 = 44030;
    const JAPAN_DOCOMO_44031 = 44031;
    const JAPAN_DOCOMO_44032 = 44032;
    const JAPAN_DOCOMO_44033 = 44033;
    const JAPAN_DOCOMO_44034 = 44034;
    const JAPAN_DOCOMO_44035 = 44035;
    const JAPAN_DOCOMO_44036 = 44036;
    const JAPAN_DOCOMO_44037 = 44037;
    const JAPAN_DOCOMO_44038 = 44038;
    const JAPAN_DOCOMO_44039 = 44039;
    const JAPAN_DOCOMO_44049 = 44049;
    const JAPAN_DOCOMO_44058 = 44058;
    const JAPAN_DOCOMO_44060 = 44060;
    const JAPAN_DOCOMO_44061 = 44061;
    const JAPAN_DOCOMO_44062 = 44062;
    const JAPAN_DOCOMO_44063 = 44063;
    const JAPAN_DOCOMO_44064 = 44064;
    const JAPAN_DOCOMO_44065 = 44065;
    const JAPAN_DOCOMO_44066 = 44066;
    const JAPAN_DOCOMO_44067 = 44067;
    const JAPAN_DOCOMO_44068 = 44068;
    const JAPAN_DOCOMO_44069 = 44069;
    const JAPAN_DOCOMO_44087 = 44087;
    const JAPAN_DOCOMO_44099 = 44099;
    const JAPAN_EMOBILE = 44000;
    const JAPAN_KDDI_44007 = 44007;
    const JAPAN_KDDI_44008 = 44008;
    const JAPAN_KDDI_44050 = 44050;
    const JAPAN_KDDI_44051 = 44051;
    const JAPAN_KDDI_44052 = 44052;
    const JAPAN_KDDI_44053 = 44053;
    const JAPAN_KDDI_44054 = 44054;
    const JAPAN_KDDI_44055 = 44055;
    const JAPAN_KDDI_44056 = 44056;
    const JAPAN_KDDI_44070 = 44070;
    const JAPAN_KDDI_44071 = 44071;
    const JAPAN_KDDI_44072 = 44072;
    const JAPAN_KDDI_44073 = 44073;
    const JAPAN_KDDI_44074 = 44074;
    const JAPAN_KDDI_44075 = 44075;
    const JAPAN_KDDI_44076 = 44076;
    const JAPAN_KDDI_44077 = 44077;
    const JAPAN_KDDI_44079 = 44079;
    const JAPAN_KDDI_44088 = 44088;
    const JAPAN_KDDI_44089 = 44089;
    const JAPAN_OKINAWA_CELLULAR_TELEPHONE = 44078;
    const JAPAN_SOFTBANK = 44020;
    const JAPAN_TU_KA_44080 = 44080;
    const JAPAN_TU_KA_44081 = 44081;
    const JAPAN_TU_KA_44082 = 44082;
    const JAPAN_TU_KA_44083 = 44083;
    const JAPAN_TU_KA_44084 = 44084;
    const JAPAN_TU_KA_44085 = 44085;
    const JAPAN_TU_KA_44086 = 44086;
    const JAPAN_VODAFONE_44004 = 44004;
    const JAPAN_VODAFONE_44006 = 44006;
    const JAPAN_VODAFONE_44040 = 44040;
    const JAPAN_VODAFONE_44041 = 44041;
    const JAPAN_VODAFONE_44042 = 44042;
    const JAPAN_VODAFONE_44043 = 44043;
    const JAPAN_VODAFONE_44044 = 44044;
    const JAPAN_VODAFONE_44045 = 44045;
    const JAPAN_VODAFONE_44046 = 44046;
    const JAPAN_VODAFONE_44047 = 44047;
    const JAPAN_VODAFONE_44048 = 44048;
    const JAPAN_VODAFONE_44090 = 44090;
    const JAPAN_VODAFONE_44092 = 44092;
    const JAPAN_VODAFONE_44093 = 44093;
    const JAPAN_VODAFONE_44094 = 44094;
    const JAPAN_VODAFONE_44095 = 44095;
    const JAPAN_VODAFONE_44096 = 44096;
    const JAPAN_VODAFONE_44097 = 44097;
    const JAPAN_VODAFONE_44098 = 44098;
    const JORDAN_ORANGE = 41677;
    const JORDAN_UMNIAH = 41603;
    const JORDAN_XPRESS_TELECOM = 41602;
    const JORDAN_ZAIN = 41601;
    const KAZAKHSTAN_BEELINE = 40101;
    const KAZAKHSTAN_DALACOM = 40107;
    const KAZAKHSTAN_KCELL = 40102;
    const KAZAKHSTAN_KAZAKHTELECOM = 40108;
    const KAZAKHSTAN_MOBILE_TELECOM_SERVICE = 40177;
    const KENYA_ORANGE_KENYA = 63907;
    const KENYA_SAFARICOM = 63902;
    const KENYA_YU = 63905;
    const KENYA_ZAIN = 63903;
    const KIRIBATI_KIRIBATI_FRIGATE = 54509;
    const KUWAIT_VIVA = 41904;
    const KUWAIT_WATANIYA = 41903;
    const KUWAIT_ZAIN = 41902;
    const KYRGYZSTAN_BITEL = 43701;
    const KYRGYZSTAN_FONEX = 43703;
    const KYRGYZSTAN_MEGACOM = 43705;
    const KYRGYZSTAN_O = 43709;
    const LAOS_ETL = 45702;
    const LAOS_LAOTEL = 45701;
    const LAOS_LAT = 45703;
    const LAOS_TIGO = 45708;
    const LATVIA_BITE = 24705;
    const LATVIA_CAMEL_MOBILE = 24709;
    const LATVIA_IZZI = 24708;
    const LATVIA_LMT = 24701;
    const LATVIA_MTS = 24707;
    const LATVIA_RIGATTA = 24706;
    const LATVIA_TELE2 = 24702;
    const LATVIA_TRIATEL = 24703;
    const LEBANON_ALFA = 41501;
    const LEBANON_MTC_TOUCH = 41503;
    const LEBANON_OGERO_MOBILE = 41505;
    const LESOTHO_ECONET_EZIN_CEL = 65102;
    const LESOTHO_VODACOM = 65101;
    const LIBYA_AL_JEEL_PHONE = 60602;
    const LIBYA_HATEF_LIBYA = 60606;
    const LIBYA_LIBYA_PHONE = 60603;
    const LIBYA_LIBYANA = 60600;
    const LIBYA_MADAR = 60601;
    const LIECHTENSTEIN_CUBIC_TELECOM = 29504;
    const LIECHTENSTEIN_FL1 = 29505;
    const LIECHTENSTEIN_ORANGE = 29502;
    const LIECHTENSTEIN_SWISSCOM = 29501;
    const LIECHTENSTEIN_TELE_2 = 29577;
    const LITHUANIA_BITE = 24602;
    const LITHUANIA_LITRAIL = 24605;
    const LITHUANIA_MEDIAFON = 24606;
    const LITHUANIA_OMNITEL = 24601;
    const LITHUANIA_TELE_2 = 24603;
    const LIVERY_CELLCOM = 61807;
    const LIVERY_COMIUM_LIBERI = 61804;
    const LIVERY_LIBERCELL = 61802;
    const LIVERY_LIBTELCO = 61820;
    const LIVERY_LONESTAR_CELL = 61801;
    const LUKSEMBURG_LUXGSM = 27001;
    const LUKSEMBURG_TANGO = 27077;
    const LUKSEMBURG_VOXMOBILE = 27099;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_3_45503 = 45503;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_3_45505 = 45505;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_CHINA_TELECOM = 45502;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_CTM_45501 = 45501;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_CTM_45504 = 45504;
    const MACAO_PEOPLES_REPUBLIC_OF_CHINA_SMARTONE = 45500;
    const MADAGASCAR_ORANGE = 64602;
    const MADAGASCAR_SACEL = 64603;
    const MADAGASCAR_TELMA = 64604;
    const MADAGASCAR_ZAIN = 64601;
    const MALAWI_TNM = 65001;
    const MALAWI_ZAIN = 65010;
    const MALAYSIA_ATUR_450 = 50201;
    const MALAYSIA_BARAKA_TELECOM_SDN_BHD_MVNE = 502151;
    const MALAYSIA_CELCOM_50213 = 50213;
    const MALAYSIA_CELCOM_50219 = 50219;
    const MALAYSIA_DIGI = 50216;
    const MALAYSIA_DIGI_TELECOMMUNICATIONS = 50210;
    const MALAYSIA_ELECTCOMS_WIRELESS_SDN_BHD = 50220;
    const MALAYSIA_MAXIS_50212 = 50212;
    const MALAYSIA_MAXIS_50217 = 50217;
    const MALAYSIA_TELEKOM_MALAYSIA_BERHAD_FOR_PSTN_SMS = 50214;
    const MALAYSIA_TM_HOMELINE = 50211;
    const MALAYSIA_TUNE_TALK_SDN_BHD = 502150;
    const MALAYSIA_U_MOBILE = 50218;
    const MALAYSIA_YES = 502152;
    const MALDIVES_DHIRAAGU = 47201;
    const MALDIVES_WATANIYA = 47202;
    const MALI_MALITEL = 61001;
    const MALI_ORANGE = 61002;
    const MALTA_GO = 27821;
    const MALTA_MELITA = 27877;
    const MALTA_VODAFONE = 27801;
    const MAURETANIA_CHINGUITEL = 60902;
    const MAURETANIA_MATTEL = 60901;
    const MAURETANIA_MAURITEL = 60910;
    const MAURITIUS_EMTEL = 61710;
    const MAURITIUS_MAHANAGAR_TELEPHONE_MAURITIUS_LTD = 61702;
    const MAURITIUS_ORANGE = 61701;
    const MEXICO_IUSACELL = 334050;
    const MEXICO_MOVISTAR_33403 = 33403;
    const MEXICO_MOVISTAR_334030 = 334030;
    const MEXICO_NEXTEL_33401 = 33401;
    const MEXICO_NEXTEL_334010 = 334010;
    const MEXICO_TELCEL_33402 = 33402;
    const MEXICO_TELCEL_334020 = 334020;
    const MICRONESIA_FSM_TELECOM = 55001;
    const MOLDOVA_EVENTIS = 25904;
    const MOLDOVA_IDC = 25903;
    const MOLDOVA_MOLDCELL = 25902;
    const MOLDOVA_ORANGE = 25901;
    const MOLDOVA_UNITE_25905 = 25905;
    const MOLDOVA_UNITE_25999 = 25999;
    const MONACO_OFFICE_DES_TELEPHONES = 21201;
    const MONGOLIA_GMOBILE = 42898;
    const MONGOLIA_MOBICOM = 42899;
    const MONGOLIA_SKYTEL = 42891;
    const MONGOLIA_UNITEL = 42888;
    const MONTENEGRO_M_TEL_CG = 29703;
    const MONTENEGRO_T_MOBILE_22004 = 22004;
    const MONTENEGRO_T_MOBILE_29702 = 29702;
    const MONTENEGRO_T_MOBILE_29704 = 29704;
    const MONTENEGRO_TELENOR_MONTENEGRO = 29701;
    const MOROCCO_IAM = 60401;
    const MOROCCO_INWI = 60405;
    const MOROCCO_MEDITEL = 60400;
    const MOZAMBIQUE_MCEL = 64301;
    const MOZAMBIQUE_VODACOM = 64304;
    const MYANMAR_MPT = 41401;
    const NAMIBIA_CELL_ONE = 64903;
    const NAMIBIA_MTC = 64901;
    const NAMIBIA_SWITCH = 64902;
    const NAURU_DIGICEL = 53602;
    const NEPAL_MERO_MOBILE = 42902;
    const NEPAL_NEPAL_TELECOM = 42901;
    const NEPAL_SMARTCELL = 42904;
    const NEPAL_UNITED_TELECOM_LIMITED = 42903;
    const NETHERLANDS_ANTILLES_NETHERLANDS_BAYOS = 36294;
    const NETHERLANDS_ANTILLES_NETHERLANDS_DIGICEL = 36269;
    const NETHERLANDS_ANTILLES_NETHERLANDS_MIO = 36295;
    const NETHERLANDS_ANTILLES_NETHERLANDS_TELCELL = 36251;
    const NETHERLANDS_ANTILLES_NETHERLANDS_UTS = 36291;
    const NEW_CALEDONIA_FRANCE_MOBILIS = 54601;
    const NEW_ZEALAND_NZ_COMMS = 53024;
    const NEW_ZEALAND_TELECOM_53000 = 53000;
    const NEW_ZEALAND_TELECOM_53002 = 53002;
    const NEW_ZEALAND_TELECOM_53005 = 53005;
    const NEW_ZEALAND_TELSTRACLEAR = 53004;
    const NEW_ZEALAND_VODAFONE = 53001;
    const NEW_ZEALAND_WOOSH = 53003;
    const NEW_ZEALAND_TWO_DEGREES_MOBILE = 53024;
    const NICARAGUA_CLARO = 71021;
    const NICARAGUA_MOVISTAR = 71030;
    const NICARAGUA_SERCOM = 71073;
    const NIGER_ORANGE = 61404;
    const NIGER_SAHELCOM = 61401;
    const NIGER_TELECEL = 61403;
    const NIGER_ZAIN = 61402;
    const NIGERIA_ETISALAT = 62160;
    const NIGERIA_GLO = 62150;
    const NIGERIA_M_TEL = 62140;
    const NIGERIA_MTN = 62130;
    const NIGERIA_VISAFONE = 62125;
    const NIGERIA_ZAIN = 62120;
    const NIUE_TELECOM_NIUE = 55501;
    const NORTH_KOREA_KORYOLINK = 467192;
    const NORTH_KOREA_SUN_NET = 467193;
    const NORWAY_BARABLU_MOBILE_NORWAY_LTD = 24209;
    const NORWAY_ICE = 24206;
    const NORWAY_JERNBANEVERKET_AS = 24220;
    const NORWAY_LYCA = 24223;
    const NORWAY_MTU = 24203;
    const NORWAY_NETCOM = 24202;
    const NORWAY_NETWORK_NORWAY = 24205;
    const NORWAY_SYSTEMNET = 24211;
    const NORWAY_TDC_MOBIL_AS = 24208;
    const NORWAY_TELE2 = 24204;
    const NORWAY_TELENOR = 24201;
    const NORWAY_VENTELO = 24207;
    const OMAN_NAWRAS = 42203;
    const OMAN_OMAN_MOBILE = 42202;
    const OSETIA_MEGAFON = 25030;
    const PAKISTAN_INSTAPHONE = 41008;
    const PAKISTAN_MOBILINK = 41001;
    const PAKISTAN_TELENOR = 41006;
    const PAKISTAN_UFONE = 41003;
    const PAKISTAN_WARID = 41007;
    const PAKISTAN_ZONG = 41004;
    const PALAU_PALAU_MOBILE = 55280;
    const PALAU_PNCC = 55201;
    const PALESTINE_JAWWAL = 42505;
    const PALESTINE_WATANIYA = 42506;
    const PANAMA_CABLE_AND_WIRELESS = 71401;
    const PANAMA_DIGICEL = 71404;
    const PANAMA_LARO = 71403;
    const PANAMA_MOVISTAR = 71402;
    const PAPUA_NEW_GUINEA_B_MOBILE = 53701;
    const PAPUA_NEW_GUINEA_DIGICEL = 53703;
    const PARAGUAY_CLARO = 74402;
    const PARAGUAY_COPACO = 74406;
    const PARAGUAY_PERSONAL = 74405;
    const PARAGUAY_TIGO = 74404;
    const PARAGUAY_VOX = 74401;
    const PERU_CLARO = 71610;
    const PERU_MOVISTAR = 71606;
    const PERU_NEXTEL = 71607;
    const PHILIPPINES_ACES_PHILIPPINES = 51511;
    const PHILIPPINES_DIGITEL = 51505;
    const PHILIPPINES_GLOBE = 51502;
    const PHILIPPINES_ISLACOM = 51501;
    const PHILIPPINES_NEXTEL = 51588;
    const PHILIPPINES_RED_MOBILE = 51518;
    const PHILIPPINES_SMART_GOLD = 51503;
    const POLAND_AERO2 = 26017;
    const POLAND_CENTERNET = 26015;
    const POLAND_CYFROWY_POLSAT = 26012;
    const POLAND_E_TELKO = 26008;
    const POLAND_MOBYLAND = 26016;
    const POLAND_NORDISK_POLSKA = 26011;
    const POLAND_ORANGE = 26003;
    const POLAND_PLAY = 26006;
    const POLAND_PLUS = 26001;
    const POLAND_CENTERTEL = 26005;
    const POLAND_PREMIUM_INTERNET = 26007;
    const POLAND_SFERIA = 26013;
    const POLAND_T_MOBILE = 26002;
    const POLAND_TELE2 = 26004;
    const POLAND_TELEFONY_OPALENICKIE = 26010;
    const POLAND_TELEKOMUNIKACJA_KOLEJOWA = 26009;
    const PORTUGAL_OPTIMUS = 26803;
    const PORTUGAL_TMN = 26806;
    const PORTUGAL_VODAFONE = 26801;
    const PORTUGAL_ZAPP = 26821;
    const PUERTO_RICO_CLARO_33011 = 33011;
    const PUERTO_RICO_CLARO_330110 = 330110;
    const PUERTO_RICO_OPEN_MOBILE = 33000;
    const QATAR_MINISTRY_OF_INTERIOR = 42705;
    const QATAR_QATARNET = 42701;
    const QATAR_VODAFONE = 42702;
    const REPUBLIC_OF_CONGO_LIBERTIS_TELECOM = 62910;
    const REPUBLIC_OF_CONGO_WARID_TELECOM = 62907;
    const REPUBLIC_OF_CONGO_ZAIN = 62901;
    const REPUBLIC_OF_MACEDONIA_COSMOFON = 29402;
    const REPUBLIC_OF_MACEDONIA_T_MOBILE = 29401;
    const REPUBLIC_OF_MACEDONIA_VIP = 29403;
    const REUNION_FRANCE_ORANGE = 64700;
    const REUNION_FRANCE_OUTREMER = 64702;
    const REUNION_FRANCE_SFR_REUNION = 64710;
    const ROMANIA_COSMOTE = 22603;
    const ROMANIA_DIGIMOBIL = 22605;
    const ROMANIA_ENIGMA_SYSTEM = 22611;
    const ROMANIA_ORANGE = 22610;
    const ROMANIA_ROMTELECOM = 22602;
    const ROMANIA_VODAFONE = 22601;
    const ROMANIA_ZAPP_22604 = 22604;
    const ROMANIA_ZAPP_22606 = 22606;
    const RUSSIAN_FEDERATION_BAYKALWESTCOM = 25012;
    const RUSSIAN_FEDERATION_BEELINE_25028 = 25028;
    const RUSSIAN_FEDERATION_BEELINE_25099 = 25099;
    const RUSSIAN_FEDERATION_DTC = 25010;
    const RUSSIAN_FEDERATION_ETK = 25005;
    const RUSSIAN_FEDERATION_INDIGO = 25019;
    const RUSSIAN_FEDERATION_KUGSM = 25013;
    const RUSSIAN_FEDERATION_MEGAFON = 25002;
    const RUSSIAN_FEDERATION_MOBICOM_NOVOSIBIRSK = 25023;
    const RUSSIAN_FEDERATION_MOTIV = 25035;
    const RUSSIAN_FEDERATION_MTS = 25001;
    const RUSSIAN_FEDERATION_NCC = 25003;
    const RUSSIAN_FEDERATION_NTC = 25016;
    const RUSSIAN_FEDERATION_ORENSOT = 25011;
    const RUSSIAN_FEDERATION_PRIMTELEFON = 25092;
    const RUSSIAN_FEDERATION_SIBCHALLENGE = 25004;
    const RUSSIAN_FEDERATION_SKYLINK_25006 = 25006;
    const RUSSIAN_FEDERATION_SKYLINK_25009 = 25009;
    const RUSSIAN_FEDERATION_SMARTS_25007 = 25007;
    const RUSSIAN_FEDERATION_SMARTS_25014 = 25014;
    const RUSSIAN_FEDERATION_SMARTS_25015 = 25015;
    const RUSSIAN_FEDERATION_STAVTELESOT_NORTH_CAUCASIAN_GSM = 25044;
    const RUSSIAN_FEDERATION_TAMBOV_GSM = 25038;
    const RUSSIAN_FEDERATION_TELE2 = 25020;
    const RUSSIAN_FEDERATION_TELECOM_XXI = 25093;
    const RUSSIAN_FEDERATION_UTEL_25017 = 25017;
    const RUSSIAN_FEDERATION_UTEL_25039 = 25039;
    const RWANDA_MTN = 63510;
    const RWANDA_RWANDATEL = 63512;
    const RWANDA_TIGO = 63513;
    const SAINT_KITTS_AND_NEVIS_CABLE_AND_WIRELESS = 356110;
    const SAINT_KITTS_AND_NEVIS_CHIPPIE = 356070;
    const SAINT_KITTS_AND_NEVIS_DIGICEL = 356050;
    const SAINT_LUCIA_CABLE_AND_WIRELESS = 358110;
    const SAINT_LUCIA_DIGICEL = 358050;
    const SAINT_VINCENT_AND_THE_GRENADINES_CABLE_AND_WIRELESS = 360110;
    const SAINT_VINCENT_AND_THE_GRENADINES_CINGULAR_WIRELESS = 360100;
    const SAINT_VINCENT_AND_THE_GRENADINES_DIGICEL_360050 = 360050;
    const SAINT_VINCENT_AND_THE_GRENADINES_DIGICEL_360070 = 360070;
    const SAINT_PIERRE_AND_MIQUELON_FRANCE_AMERIS = 30801;
    const SAMOA_DIGICEL = 54901;
    const SAMOA_SAMOATEL = 54927;
    const SAN_MARINO_PRIMA = 29201;
    const SAO_TOME_AND_PRINCIPE_CSTMOVEL = 62601;
    const SAUDI_ARABIA_EAE = 42007;
    const SAUDI_ARABIA_MOBILY = 42003;
    const SAUDI_ARABIA_STC = 42001;
    const SAUDI_ARABIA_ZAIN_SA = 42004;
    const SENEGAL_EXPRESSO = 60803;
    const SENEGAL_SENTEL_GSM = 60802;
    const SENEGAL_SONATEL_ALIZE = 60801;
    const SERBIA_TELEKOM_SRBIJA = 22003;
    const SERBIA_TELENOR = 22001;
    const SERBIA_VIP_MOBILE = 22005;
    const SEYCHELLES_CABLE_AND_WIRELESS_SEYCHELLES_LTD = 63301;
    const SEYCHELLES_MEDIATECH_INTERNATIONAL = 63302;
    const SEYCHELLES_TELECOM_AIRTEL = 63310;
    const SIERRA_LEONE_AFRICELL = 61905;
    const SIERRA_LEONE_COMIUM = 61904;
    const SIERRA_LEONE_DATATEL = 61903;
    const SIERRA_LEONE_MILLICOM = 61902;
    const SIERRA_LEONE_MOBITEL = 61925;
    const SIERRA_LEONE_ZAIN = 61901;
    const SINGAPORE_DIGITAL_TRUNKED_RADIO_NETWORK = 52512;
    const SINGAPORE_M1 = 52503;
    const SINGAPORE_SINGTEL = 52501;
    const SINGAPORE_SINGTEL_G18 = 52502;
    const SINGAPORE_STARHUB = 52505;
    const SLOVAKIA_MOBILE_ENTERTAINMENT_COMPANY = 23105;
    const SLOVAKIA_O2 = 23106;
    const SLOVAKIA_ORANGE = 23101;
    const SLOVAKIA_T_MOBILE_23102 = 23102;
    const SLOVAKIA_T_MOBILE_23104 = 23104;
    const SLOVAKIA_UNIENT_COMMUNICATIONS = 23103;
    const SLOVAKIA_ZSR = 23199;
    const SLOVENIA_MOBITEL = 29341;
    const SLOVENIA_SIMOBIL_VODAFONE = 29340;
    const SLOVENIA_T_2 = 29364;
    const SLOVENIA_TUSMOBIL = 29370;
    const SOLOMON_ISLANDS_BREEZE_54001 = 54001;
    const SOLOMON_ISLANDS_BREEZE_5401 = 5401;
    const SOMALIA_GOLIS = 63730;
    const SOMALIA_HORMUUD = 63725;
    const SOMALIA_NATIONLINK = 63710;
    const SOMALIA_NATIONLINK_TELECOM = 63760;
    const SOMALIA_SOMAFONE = 63704;
    const SOMALIA_TELCOM_MOBILE = 638;
    const SOMALIA_TELESOM_63701 = 63701;
    const SOMALIA_TELESOM_63782 = 63782;
    const SOUTH_AFRICA_BOKAMOSO_CONSORTIUM = 65530;
    const SOUTH_AFRICA_CAPE_TOWN_METROPOLITAN_COUNCIL = 65521;
    const SOUTH_AFRICA_CELL_C = 65507;
    const SOUTH_AFRICA_ILIZWI_TELECOMMUNICATIONS = 65532;
    const SOUTH_AFRICA_KARABO_TELECOMS_PTY_LTD = 65531;
    const SOUTH_AFRICA_MTN = 65510;
    const SOUTH_AFRICA_NEOTEL = 65513;
    const SOUTH_AFRICA_SAPS_GAUTENG = 65511;
    const SOUTH_AFRICA_SENTECH = 65506;
    const SOUTH_AFRICA_TELKOM_MOBILE_8TA = 65502;
    const SOUTH_AFRICA_THINTA_THINTA_TELECOMMUNICATIONS = 65533;
    const SOUTH_AFRICA_VODACOM = 65501;
    const SOUTH_KOREA_KT = 45004;
    const SOUTH_KOREA_KTF = 45008;
    const SOUTH_KOREA_KTF_CDMA = 45002;
    const SOUTH_KOREA_LGU = 45006;
    const SOUTH_KOREA_POWER_017 = 45003;
    const SOUTH_KOREA_SK_TELECOM = 45005;
    const SPAIN_BARABLU_MOVIL_ESPANA = 21423;
    const SPAIN_BT = 21415;
    const SPAIN_DIGIMOBIL = 21422;
    const SPAIN_EROSKI = 21424;
    const SPAIN_EUSKALTEL = 21408;
    const SPAIN_FONYOU = 21420;
    const SPAIN_LYCAMOBILE = 21425;
    const SPAIN_MOVISTAR = 21407;
    const SPAIN_MOBIL_R = 21417;
    const SPAIN_ONO = 21418;
    const SPAIN_ORANGE_21403 = 21403;
    const SPAIN_ORANGE_21409 = 21409;
    const SPAIN_SIMYO = 21419;
    const SPAIN_TELECABLE = 21416;
    const SPAIN_TME = 21405;
    const SPAIN_VODAFONE_21401 = 21401;
    const SPAIN_VODAFONE_21406 = 21406;
    const SPAIN_YOIGO = 21404;
    const SRI_LANKA_AIRTEL = 41305;
    const SRI_LANKA_DIALOG = 41302;
    const SRI_LANKA_HUTCH_SRI_LANKA = 41308;
    const SRI_LANKA_MOBITEL = 41301;
    const SRI_LANKA_TIGO = 41303;
    const SUDAN_MOBITEL_MOBILE_TELEPHONE_COMPANY = 63401;
    const SUDAN_GEMTEL = 63403;
    const SUDAN_MTN = 63402;
    const SUDAN_SUDANI_ONE = 63407;
    const SUDAN_VIVACELL = 63405;
    const SUDAN_ZAIN = 63406;
    const SURINAME_DIGICEL = 74603;
    const SURINAME_TELESU = 74602;
    const SURINAME_UNIQA = 74604;
    const SWAZILAND_SWAZI_MTN = 65310;
    const SWEDEN_3_HUTCHISON = 24002;
    const SWEDEN_3G_INFRASTRUCTURE_SERVICES = 24004;
    const SWEDEN_42IT = 24016;
    const SWEDEN_BANVERKET = 24021;
    const SWEDEN_BARABLU_MOBILE_SCANDINAVIA = 24012;
    const SWEDEN_BEEPSEND = 24026;
    const SWEDEN_DIGITELMOBILE = 24025;
    const SWEDEN_GOTANET = 24017;
    const SWEDEN_HALEBOP = 24000;
    const SWEDEN_LINDHOLMEN_SCIENCE_PARK = 24011;
    const SWEDEN_MOBILE_ARTS_AB = 24033;
    const SWEDEN_NORDISK_MOBILTELEFON = 24003;
    const SWEDEN_SPRINGMOBIL = 24010;
    const SWEDEN_SWEDEN_2G_24024 = 24024;
    const SWEDEN_SWEDEN_3G = 24005;
    const SWEDEN_TDC_MOBIL = 24014;
    const SWEDEN_TELE2COMVIQ = 24007;
    const SWEDEN_TELENOR_24006 = 24006;
    const SWEDEN_TELENOR_24008 = 24008;
    const SWEDEN_TELENOR_MOBILE_SVERIGE = 24009;
    const SWEDEN_TELIASONERA_MOBILE_NETWORKS = 24001;
    const SWEDEN_VENTELO_SVERIGE = 24013;
    const SWEDEN_WIRELESS_MAINGATE = 24020;
    const SWEDEN_WIRELESS_MAINGATE_NORDIC = 24015;
    const SWITZERLAND_3G_MOBILE_AG = 22850;
    const SWITZERLAND_BEBBICELL_AG = 22851;
    const SWITZERLAND_INANDPHONE = 22807;
    const SWITZERLAND_ORANGE = 22803;
    const SWITZERLAND_SBB_AG = 22806;
    const SWITZERLAND_SUNRISE = 22802;
    const SWITZERLAND_SWISSCOM = 22801;
    const SWITZERLAND_TELE2 = 22808;
    const SWITZERLAND_TOGEWANET_AG_COMFONE = 22805;
    const SYRIA_MTN_SYRIA = 41702;
    const SYRIA_SYRIATEL = 41701;
    const TAIWAN_APTG_46602 = 46602;
    const TAIWAN_APTG_46605 = 46605;
    const TAIWAN_CHUNGHWA_LDM = 46611;
    const TAIWAN_CHUNGWA = 46692;
    const TAIWAN_FAREASTONE = 46601;
    const TAIWAN_KG_TELECOM = 46688;
    const TAIWAN_MOBITAI = 46693;
    const TAIWAN_TAIWAN_MOBILE = 46697;
    const TAIWAN_TRANSASIA = 46699;
    const TAIWAN_TUNTEX = 46606;
    const TAIWAN_VIBO = 46689;
    const TAJIKISTAN_BABILON_M = 43604;
    const TAJIKISTAN_CTJTHSC_TAJIK_TEL = 43605;
    const TAJIKISTAN_INDIGO = 43602;
    const TAJIKISTAN_MLT = 43603;
    const TAJIKISTAN_SOMONCOM = 43601;
    const TAJIKISTAN_TCELL = 43612;
    const TANZANIA_HITS = 64009;
    const TANZANIA_MOBITEL = 64002;
    const TANZANIA_SASATEL = 64006;
    const TANZANIA_SMILECOM = 64011;
    const TANZANIA_TRITEL = 64001;
    const TANZANIA_TTCL_MOBILE_64007 = 64007;
    const TANZANIA_TTCL_MOBILE_64008 = 64008;
    const TANZANIA_VODACOM = 64004;
    const TANZANIA_ZAIN = 64005;
    const TANZANIA_ZANTEL = 64003;
    const THAILAND_ACT_MOBILE = 52015;
    const THAILAND_ADVANCED_INFO_SERVICE_52001 = 52001;
    const THAILAND_ADVANCED_INFO_SERVICE_52023 = 52023;
    const THAILAND_CAT_CDMA_52000 = 52000;
    const THAILAND_CAT_CDMA_52002 = 52002;
    const THAILAND_DTAC = 52018;
    const THAILAND_TRUE_MOVE = 52099;
    const THAILAND_WCS_IQ = 52010;
    const TOGO_MOOV = 61503;
    const TOGO_TELECEL = 61505;
    const TOGO_TOGO_CELL = 61501;
    const TONGA_DIGICEL = 53988;
    const TONGA_SHORELINE_COMMUNICATION = 53943;
    const TONGA_TONGA_COMMUNICATIONS_CORPORATION = 53901;
    const TRINIDAD_AND_TOBAGO_BMOBILE = 37412;
    const TRINIDAD_AND_TOBAGO_DIGICEL_37413 = 37413;
    const TRINIDAD_AND_TOBAGO_DIGICEL_374130 = 374130;
    const TUNISIA_ORANGE = 60501;
    const TUNISIA_TUNICELL = 60502;
    const TUNISIA_TUNISIANA = 60503;
    const TURKEY_AVEA = 28603;
    const TURKEY_AYCELL = 28604;
    const TURKEY_TURKCELL = 28601;
    const TURKEY_VODAFONE = 28602;
    const TURKMENISTAN_MTS = 43801;
    const TURKMENISTAN_TM_CELL = 43802;
    const TUVALU_TTC = 55301;
    const UGANDA_MTN = 64110;
    const UGANDA_ORANGE = 64114;
    const UGANDA_UGANDA_TELECOM_LTD = 64111;
    const UGANDA_WARID_TELECOM = 64122;
    const UGANDA_ZAIN = 64101;
    const UKRAINE_BEELINE = 25502;
    const UKRAINE_CDMA_UKRAINE = 25523;
    const UKRAINE_GOLDEN_TELECOM = 25505;
    const UKRAINE_IT = 25504;
    const UKRAINE_KYIVSTAR = 25503;
    const UKRAINE_LIFE = 25506;
    const UKRAINE_MTS = 25501;
    const UKRAINE_PEOPLENET = 25521;
    const UKRAINE_UTEL = 25507;
    const UNITED_ARAB_EMIRATES_DU = 42403;
    const UNITED_ARAB_EMIRATES_ETISALAT = 42402;
    const UNITED_KINGDOM_3_HUTCHISON = 23420;
    const UNITED_KINGDOM_BT = 23400;
    const UNITED_KINGDOM_CABLE_AND_WIRELESS_SURE_MOBILE_ISLE_OF_MAN = 23455;
    const UNITED_KINGDOM_CLOUD9 = 23418;
    const UNITED_KINGDOM_JERSEY_TELENET = 23403;
    const UNITED_KINGDOM_JT_WAVE = 23450;
    const UNITED_KINGDOM_MANX_TELECOM = 23458;
    const UNITED_KINGDOM_MCOM = 23401;
    const UNITED_KINGDOM_O2_23402 = 23402;
    const UNITED_KINGDOM_O2_23410 = 23410;
    const UNITED_KINGDOM_O2_23411 = 23411;
    const UNITED_KINGDOM_ORANGE_23433 = 23433;
    const UNITED_KINGDOM_ORANGE_23434 = 23434;
    const UNITED_KINGDOM_RAILTRACK = 23412;
    const UNITED_KINGDOM_ROUTO_TELECOM = 23422;
    const UNITED_KINGDOM_SURE_MOBILE = 23409;
    const UNITED_KINGDOM_T_MOBILE = 23430;
    const UNITED_KINGDOM_TELAWARE = 23419;
    const UNITED_KINGDOM_TESCO_MOBILE = 234100;
    const UNITED_KINGDOM_UNKNOWN = 23477;
    const UNITED_KINGDOM_VIRGIN_23431 = 23431;
    const UNITED_KINGDOM_VIRGIN_23432 = 23432;
    const UNITED_KINGDOM_VODAFONE = 23415;
    const UNITED_STATES_ADVANTAGE = 310880;
    const UNITED_STATES_AERIS = 310850;
    const UNITED_STATES_AIRADIGM = 310640;
    const UNITED_STATES_AIRLINK_PCS = 310780;
    const UNITED_STATES_AIRPEAK = 310034;
    const UNITED_STATES_AIRTEL = 310510;
    const UNITED_STATES_ALASKA_DIGITEL = 310430;
    const UNITED_STATES_ALLTEL_310500 = 310500;
    const UNITED_STATES_ALLTEL_310590 = 310590;
    const UNITED_STATES_AMERILINK_PCS = 310630;
    const UNITED_STATES_ATANDT_310038 = 310038;
    const UNITED_STATES_ATANDT_310090 = 310090;
    const UNITED_STATES_ATANDT_310150 = 310150;
    const UNITED_STATES_ATANDT_310170 = 310170;
    const UNITED_STATES_ATANDT_310410 = 310410;
    const UNITED_STATES_ATANDT_310560 = 310560;
    const UNITED_STATES_ATANDT_310680 = 310680;
    const UNITED_STATES_ATANDT_MOBILITY_310380 = 310380;
    const UNITED_STATES_ATANDT_MOBILITY_310980 = 310980;
    const UNITED_STATES_ATANDT_MOBILITY_310990 = 310990;
    const UNITED_STATES_CAPROCK = 310830;
    const UNITED_STATES_CAROLINA_PHONE = 310350;
    const UNITED_STATES_CELL_ONE_AMARILLO = 311130;
    const UNITED_STATES_CELLULAR_ONE_310320 = 310320;
    const UNITED_STATES_CELLULAR_ONE_310440 = 310440;
    const UNITED_STATES_CELLULAR_ONE_OF_EAST_TEXAS = 310390;
    const UNITED_STATES_CELLULAR_PROPERTIES = 311190;
    const UNITED_STATES_CENTENNIAL = 310030;
    const UNITED_STATES_CHARITON_VALLEY = 311010;
    const UNITED_STATES_CHINOOK_WIRELESS = 310570;
    const UNITED_STATES_CHOICE_PHONE_310480 = 310480;
    const UNITED_STATES_CHOICE_PHONE_311120 = 311120;
    const UNITED_STATES_CINCINNATI_BELL = 310420;
    const UNITED_STATES_CINGULAR_WIRELESS = 311180;
    const UNITED_STATES_COLEMAN_COUNTY_TELECOM = 310620;
    const UNITED_STATES_COMMNET_WIRELESS = 311040;
    const UNITED_STATES_CONCHO = 310040;
    const UNITED_STATES_CONESTOGA = 310690;
    const UNITED_STATES_CONSOLIDATED_TELCOM = 310060;
    const UNITED_STATES_CONVEY = 310740;
    const UNITED_STATES_CORR = 310080;
    const UNITED_STATES_CRICKET_COMMUNICATIONS = 310016;
    const UNITED_STATES_DIGITAL_CELLULAR = 310940;
    const UNITED_STATES_DUTCH_HARBOR = 310190;
    const UNITED_STATES_EASTERBROOKE = 311070;
    const UNITED_STATES_ENDLESS_MOUNTAINS_WIRELESS = 311160;
    const UNITED_STATES_EPIC_TOUCH = 310610;
    const UNITED_STATES_FARMERS_CELLULAR_311060 = 311060;
    const UNITED_STATES_FARMERS_CELLULAR_311210 = 311210;
    const UNITED_STATES_FARMERS_WIRELESS = 310311;
    const UNITED_STATES_FIRST_CELLULAR = 310910;
    const UNITED_STATES_GET_MOBILE_INC = 310300;
    const UNITED_STATES_GLOBALSTAR = 310970;
    const UNITED_STATES_HIGH_PLAINS_WIRELESS_311100 = 311100;
    const UNITED_STATES_HIGH_PLAINS_WIRELESS_311110 = 311110;
    const UNITED_STATES_HIGHLAND_CELLULAR = 310070;
    const UNITED_STATES_I_CAN_GSM = 310400;
    const UNITED_STATES_I_WIRELESS = 310770;
    const UNITED_STATES_INDIGO_WIRELESS = 311030;
    const UNITED_STATES_JASPER = 310650;
    const UNITED_STATES_LONG_LINES_WIRELESS = 311090;
    const UNITED_STATES_MCI = 310010;
    const UNITED_STATES_MID_TEX_CELLULAR_310000 = 310000;
    const UNITED_STATES_MID_TEX_CELLULAR_311000 = 311000;
    const UNITED_STATES_MISSOURI_RSA_5_PARTNERSHIP = 311020;
    const UNITED_STATES_MOBILETEL = 310013;
    const UNITED_STATES_NEXTEL = 316010;
    const UNITED_STATES_NORTH_SIGHT_COMMUNICATIONS_INC = 310017;
    const UNITED_STATES_NORTHSTAR = 310670;
    const UNITED_STATES_OKLAHOMA_WESTERN = 310540;
    const UNITED_STATES_PACE = 310870;
    const UNITED_STATES_PANHANDLE = 310760;
    const UNITED_STATES_PETROCOM = 311170;
    const UNITED_STATES_PINE_CELLULAR = 311080;
    const UNITED_STATES_PINPOINT = 310790;
    const UNITED_STATES_PLATEAU_WIRELESS_310100 = 310100;
    const UNITED_STATES_PLATEAU_WIRELESS_310960 = 310960;
    const UNITED_STATES_PTI_PACIFICA = 310110;
    const UNITED_STATES_SEAMOBILE = 310730;
    const UNITED_STATES_SIMMETRY_310046 = 310046;
    const UNITED_STATES_SIMMETRY_310460 = 310460;
    const UNITED_STATES_SOUTHERN_COMMUNICATIONS_SERVICES = 316011;
    const UNITED_STATES_SPRINT = 310120;
    const UNITED_STATES_SPROCKET = 311140;
    const UNITED_STATES_SUNCOM = 310490;
    const UNITED_STATES_T_MOBILE_310026 = 310026;
    const UNITED_STATES_T_MOBILE_310160 = 310160;
    const UNITED_STATES_T_MOBILE_310200 = 310200;
    const UNITED_STATES_T_MOBILE_310210 = 310210;
    const UNITED_STATES_T_MOBILE_310220 = 310220;
    const UNITED_STATES_T_MOBILE_310230 = 310230;
    const UNITED_STATES_T_MOBILE_310240 = 310240;
    const UNITED_STATES_T_MOBILE_310250 = 310250;
    const UNITED_STATES_T_MOBILE_310260 = 310260;
    const UNITED_STATES_T_MOBILE_310270 = 310270;
    const UNITED_STATES_T_MOBILE_310280 = 310280;
    const UNITED_STATES_T_MOBILE_310290 = 310290;
    const UNITED_STATES_T_MOBILE_310310 = 310310;
    const UNITED_STATES_T_MOBILE_310330 = 310330;
    const UNITED_STATES_T_MOBILE_310580 = 310580;
    const UNITED_STATES_T_MOBILE_310660 = 310660;
    const UNITED_STATES_T_MOBILE_310800 = 310800;
    const UNITED_STATES_TAYLOR = 310900;
    const UNITED_STATES_TESTING = 310014;
    const UNITED_STATES_UNION_TELEPHONE_COMPANY = 310020;
    const UNITED_STATES_VERISIGN = 310520;
    const UNITED_STATES_VERIZON_310004 = 310004;
    const UNITED_STATES_VERIZON_310012 = 310012;
    const UNITED_STATES_VIAERO = 310450;
    const UNITED_STATES_WEST_CENTRAL = 310180;
    const UNITED_STATES_WEST_VIRGINIA_WIRELESS = 310530;
    const UNITED_STATES_WESTLINK = 310340;
    const UNITED_STATES_WIKES_CELLULAR = 311050;
    const UNITED_STATES_WILKES_CELLULAR = 311150;
    const UNITED_STATES_WIRELESS_ALLIANCE = 310890;
    const UNITED_STATES_XIT_WIRELESS = 310950;
    const URUGUAY_ANCEL_74800 = 74800;
    const URUGUAY_ANCEL_74801 = 74801;
    const URUGUAY_CLARO = 74810;
    const URUGUAY_MOVISTAR = 74807;
    const UZBEKISTAN_BEELINE = 43404;
    const UZBEKISTAN_BUZTEL = 43401;
    const UZBEKISTAN_MTS = 43407;
    const UZBEKISTAN_PERFECTUM_MOBILE = 43406;
    const UZBEKISTAN_UCELL = 43405;
    const UZBEKISTAN_UZMACOM = 43402;
    const VANUATU_SMILE = 54101;
    const VENEZUELA_DIGITEL_73401 = 73401;
    const VENEZUELA_DIGITEL_73402 = 73402;
    const VENEZUELA_DIGITEL_73403 = 73403;
    const VENEZUELA_MOVILNET = 73406;
    const VENEZUELA_MOVISTAR = 73404;
    const VIETNAM_3G_EVNTELECOM = 45208;
    const VIETNAM_BEELINE_VN = 45207;
    const VIETNAM_E_MOBILE = 45206;
    const VIETNAM_HT_MOBILE = 45205;
    const VIETNAM_MOBIFONE = 45201;
    const VIETNAM_S_FONE = 45203;
    const VIETNAM_VIETTEL_MOBILE = 45204;
    const VIETNAM_VINAPHONE = 45202;
    const WYSPY_TURKS_I_CAICOS_CANDW = 376350;
    const WYSPY_TURKS_I_CAICOS_DIGICEL = 33805;
    const WYSPY_TURKS_I_CAICOS_ISLANDCOM = 376352;
    const YEMEN_HITS_UNITEL = 42104;
    const YEMEN_MTN = 42102;
    const YEMEN_SABAFON = 42101;
    const YEMEN_YEMEN_MOBILE = 42103;
    const ZAMBIA_MTN = 64502;
    const ZAMBIA_ZAIN = 64501;
    const ZAMBIA_ZAMTEL = 64503;
    const ZIMBABWE_ECONET = 64804;
    const ZIMBABWE_NET_ONE = 64801;
    const ZIMBABWE_TELECEL = 64803;

}
